unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, Forms, Controls, Graphics, Dialogs, ExtCtrls, StdCtrls,
  TAGraph, TASeries, TASources, TATools;

type
  
  { TForm1 }

  TForm1 = class(TForm)
    Chart1: TChart;
    Chart1LineSeries1: TLineSeries;
    Chart1LineSeries2: TLineSeries;
    Chart1LineSeries3: TLineSeries;
    ChartToolset1: TChartToolset;
    ChartToolset1DataPointCrosshairTool1: TDataPointCrosshairTool;
    CheckBox1: TCheckBox;
    Panel1: TPanel;
    RandomChartSource2: TRandomChartSource;
    rbDrawingModeNormal: TRadioButton;
    rbDrawingMode_XOR: TRadioButton;
    RandomChartSource1: TRandomChartSource;
    procedure ChartToolset1DataPointCrosshairTool1Draw(
      ASender: TDataPointDrawTool);
    procedure CheckBox1Change(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure rbDrawingModeNormalChange(Sender: TObject);
    procedure rbDrawingMode_XORChange(Sender: TObject);
  private

  public

  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

uses
  TAChartUtils;

{ TForm1 }

procedure TForm1.rbDrawingMode_XORChange(Sender: TObject);
begin
  ChartToolset1DatapointCrosshairTool1.DrawingMode := tdmXOR;
end;

procedure TForm1.rbDrawingModeNormalChange(Sender: TObject);
begin
  ChartToolset1DatapointCrosshairTool1.DrawingMode := tdmNormal;
end;

procedure TForm1.ChartToolset1DataPointCrosshairTool1Draw(
  ASender: TDataPointDrawTool);
var
  ser: TBasicChartSeries;
  idx: Integer;
begin
  ser := ASender.Series;
  idx := ASender.PointIndex;
  if ser <> nil then
    Caption := Format('Series "%s", Point index %d', [ser.Name, idx])
  else
    Caption := 'Form1';
end;

procedure TForm1.CheckBox1Change(Sender: TObject);
begin
  if Checkbox1.Checked then
  begin
    Chart1LineSeries1.ToolTargets := Chart1LineSeries1.ToolTargets + [nptCustom];
    Chart1LineSeries2.ToolTargets := Chart1LineSeries2.ToolTargets + [nptCustom];
    Chart1LineSeries3.ToolTargets := Chart1LineSeries3.ToolTargets + [nptCustom];
  end else
  begin
    Chart1LineSeries1.ToolTargets := Chart1LineSeries1.ToolTargets - [nptCustom];
    Chart1LineSeries2.ToolTargets := Chart1LineSeries2.ToolTargets - [nptCustom];
    Chart1LineSeries3.ToolTargets := Chart1LineSeries3.ToolTargets - [nptCustom];
  end;  
end;

procedure TForm1.FormCreate(Sender: TObject);
var
  i: Integer;
begin
  Chart1LineSeries1.Source := nil; 
  for i := -2 to 2 do
    Chart1LineSeries1.AddXY(i, 0);
  
  Chart1LineSeries2.Source := nil;  
  for i := -2 to 2 do
    Chart1LineSeries2.AddXY(0, i);
  
  Chart1LineSeries3.Source := nil;
  for i := -2 to 2 do
    Chart1LineSeries3.AddXY(i, i);
end;

end.

